/*
	Copyright (c) 2004-2011, The Dojo Foundation All Rights Reserved.
	Available via Academic Free License >= 2.1 OR the modified BSD license.
	see: http://dojotoolkit.org/license for details
*/


if(!dojo._hasResource['epages.validate.string_test']){ //_hasResource checks added by build. Do not use _hasResource directly in your code.
dojo._hasResource['epages.validate.string_test'] = true;
/*
	Copyright (c) 2006-2007, ePages GmbH
	All Rights Reserved.
*/
dojo.provide('epages.validate.string_test');
dojo.require('epages.validate.string');

epages.validate.string.test = function(/*epages.Test*/eTest) {
	eTest.setPlanned(8);

	eTest.ok(1, 'loaded');
	eTest.ok(epages.validate.string.isXMLAttribute('')       == false, 'isXMLAttribute: - "" (empty)');
	eTest.ok(epages.validate.string.isXMLAttribute(0)        == false, 'isXMLAttribute: - 0');
	eTest.ok(epages.validate.string.isXMLAttribute('Color%') == false, 'isXMLAttribute: - Color%');
	eTest.ok(epages.validate.string.isXMLAttribute('0Bock')  == false, 'isXMLAttribute: - 0Bock');
	eTest.ok(epages.validate.string.isXMLAttribute('Alias')  == true, 'isXMLAttribute: + Alias');
	eTest.ok(epages.validate.string.isXMLAttribute('Color0') == true, 'isXMLAttribute: + Color0');
	eTest.ok(epages.validate.string.filterInvalidChars('.//\\./\\/.{[\)') == './/.//.{[)','filterInvalidChars');
};

}
